Bug 68769 - neat -tui always crashes in "Ethernet"
neat -tui always crashes in "Ethernet"
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
: 70682 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-13 19:22 EDT by Warren Togami
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-02 00:28:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/sysconfig/networking tarball (427 bytes, application/octet-stream)
2002-07-27 03:23 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2002-07-13 19:22:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1a+) Gecko/20020709

Description of problem:
I run "neat-tui" in a text console, then hit Enter to run Ethernet config.  It
then crashes and displays the following python traceback (sorry I had to copy it
by hand because it is all jumbled within the now crashed curses display).

Configure Traceback (most recent call last):
"/usr/sbin/neat-tui", line 394, in ?
File "/usr/sbin/neat-tui", line 53, in mainScreen
File "/usr/sbin/neat-tui", line 166, in runIt
File "/usr/sbin/neat-tui", line 106, in setState
if (eth.BootProto and (string.lower(eth.BootProto)=="dhcp") or
File "/usr/lib/python2.2/string.py", line 54, in lower
return s.lower()
AttributeError: 'NoneType' object has no attribute 'lower'

Version-Release number of selected component (if applicable):
Red Hat Limbo

How reproducible:

Steps to Reproduce:
1. Run "neat-tui" in a text console.
2. Hit ENTER to configure Ethernet.
Actual Results:  
Crash with traceback above.

Expected Results:  
Should not crash.
Comment 1 Trond Eivind Glomsrxd 2002-07-15 12:58:56 EDT
Comment 2 Trond Eivind Glomsrxd 2002-07-15 17:09:45 EDT
Actually, that was another bug related to gettext/snack/utf8 (fixed now).

Can you attach the configuration files to this bugreport? Given the first check
(that eth.BootProto evals to true, not None or the empty string) this shouldn't
be possible....
Comment 3 Warren Togami 2002-07-20 05:54:06 EDT
Hi sorry for the delay.  Which configuration files specifically?
Comment 4 Trond Eivind Glomsrxd 2002-07-23 21:37:59 EDT
The ones in /etc/sysconfig/networking
Comment 5 Warren Togami 2002-07-27 03:23:35 EDT
Created attachment 67324 [details]
/etc/sysconfig/networking tarball
Comment 6 Warren Togami 2002-07-27 03:30:07 EDT
Upgraded to Rawhide's redhat-config-network-1.1.10-1 and it still crashes in the
same place.  Here is the new traceback:

Traceback (most recent call last):
  File "/usr/sbin/neat-tui", line 396, in ?
  File "/usr/sbin/neat-tui", line 54, in mainScreen
  File "/usr/sbin/neat-tui", line 167, in runIt
  File "/usr/sbin/neat-tui", line 107, in setState
    if (eth.BootProto and (string.lower(eth.BootProto)=="dhcp") or
  File "/usr/lib/python2.2/string.py", line 54, in lower
    return s.lower()
AttributeError: 'NoneType' object has no attribute 'lower'
Comment 7 Trond Eivind Glomsrxd 2002-07-31 15:43:49 EDT
Can you give the one at http://people.redhat.com/teg/neat/ a try? I couldn't
reproduce the problem.
Comment 8 Warren Togami 2002-08-02 00:28:48 EDT
Tested redhat-config-network-1.1.13cvs-1.noarch.rpm on this system and it no
longer crashes with neat-tui.  Close bug?

Is there any text based tool to configure the DNS server addresses?  neat-tui
doesn't appear to have that option.  Should I file an RFE?
Comment 9 Trond Eivind Glomsrxd 2002-08-02 10:51:13 EDT
Sure, file an RFE. The fix in this rpm just unwinds the if statement and no
longer depends on a short circuit.

Could never reproduce the problem with your data, so I'll mark it closed with no
local tests.
Comment 10 Trond Eivind Glomsrxd 2002-08-05 12:42:12 EDT
*** Bug 70682 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.